Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 503300 - Review Request: vim-c-support - C/C++ IDE for VIM
Summary: Review Request: vim-c-support - C/C++ IDE for VIM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-05-31 01:33 UTC by cga
Modified: 2009-09-17 17:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 17:30:45 UTC


Attachments (Terms of Use)

Description cga 2009-05-31 01:33:38 UTC
Spec URL: http://ricky.fedorapeople.org/cga/vim-c-support.spec
SRPM URL: http://ricky.fedorapeople.org/cga/vim-c-support-5.7-1.fc10.src.rpm
Description: C/C++-IDE. Write programs by inserting complete statements comments 
idioms code snippets templates and comments. Compile link and run one-file-programs without a makefile. See also help file csupport.txt 

NEW PACKAGER: this is my second rpm. need a sponsor.

OTHER PACKAGES: https://bugzilla.redhat.com/show_bug.cgi?id=503298

Comment 1 cga 2009-05-31 01:38:10 UTC
one more to sponsor: https://bugzilla.redhat.com/show_bug.cgi?id=503301

Comment 2 Ricky Zhou 2009-06-01 05:14:42 UTC
I don't think the iconv in %prep is necessary in this one, since README.csupport looks fine in the zip file.

Comment 3 Thomas Spura 2009-08-06 19:13:50 UTC
This is a review, but I'm not yet a packager on my one. Just for learning by reviwing other requests ;-)

MUST: rpmlint:
~/rpmbuild/SPECS$ rpmlint vim-c-support.spec ../SRPMS/vim-c-support-5.7-1.fc11.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint ../RPMS/noarch/vim-c-support-5.7-1.fc11.noarch.rpm 
vim-c-support.noarch: W: devel-file-in-non-devel-package /usr/share/vim/vimfiles/c-support/codesnippets/calloc_int_matrix.c
vim-c-support.noarch: W: devel-file-in-non-devel-package /usr/share/vim/vimfiles/c-support/codesnippets/calloc_double_matrix.c
vim-c-support.noarch: W: devel-file-in-non-devel-package /usr/share/vim/vimfiles/c-support/codesnippets/main.c
1 packages and 0 specfiles checked; 0 errors, 3 warnings

This are codesnippets an no devel-file -> ok

MUST: package name according to the Package Naming Guidelines
ok
MUST: spec file is %{name}.spec
ok
MUST: Fedora approved license
GPLv2 ok
MUST: %doc %{license} if license file provided
not provided, ok
MUST: %doc files not important for runtime
ok
MUST: spec file in American English
ok
MUST: spec file legible
ok
MUST: souces must match upstream source
md5sum 5fe70bbf2bae6bf0ab9111c8726f0fba
ok
MUST: packages compiles succesfully
ok
MUST: build dependencies listed in BuildRequires
ok
MUST: locale handling with %find_lang
no locales, ok
MUST: shared libraries must call ldconfig in %post and %postun
not needed, ok
MUST: permissions properly set
ok
MUST: %clean rm -rf %{buildroot}
ok
MUST: The package must contain code, or permissable content.
ok
MUST: large documentation files must go in a -doc subpackage
doc is not large, ok
MUST: header files must be in a -devel package
codesnippets are no headers, ok
MUST: libraries with ending .so must be in -devel package
no libraries, ok
MUST: -devel must Requires: %{name} = %{version}-%{release}
no -devel, ok
MUST: static libraries must be in a -static package
so libraries, ok
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
no pkgconfig, ok
MUST: .la libtool archive are forbitten
ok
MUST: Packages containing GUI applications must include a %{name}.desktop file
      and desktop-file-install in %install;
      no %{name}.desktop -> reason explained in %{name}.spec
no gui, ok

MUST: beginning of %install rm -rf %{buildroot}
ok
MUST: All filenames in rpm packages must be valid UTF-8.
ok

###############################
Current blocker:

MUST: License field in the package spec file must match the actual license
not said on %{URL} -> unsure
MUST: owns each directory it creates
does not own /usr/share/vim/vimfiles and folders down
MUST: Packages must not own files or directories already owned by other packages
currently not in final state
MUST: don't list a file more than once in %files listening
atm ok, but not yet final state…
MUST: consistently using macros
%post and %postun should use %{vimfiles} too


##############################

SHOULD: package builds in mock.
could not try, but builds in rpmbuild
SHOULD: The reviewer should test that the package functions as described.
For me it does *not* work correctly. The gui version with vim-X11 works perfectls, but as described on the website the '\foo' commands don't work. (in gui and non-gui mode)

It seems vim does not load /usr/share/vim/vimfiles/ftplugin/c.vim correctly.
Does it work for you? If don't please fix this. ;-)


#############################

Currently TODO:
* redo %files section
* consistently use macros
* get vim-c-support to work

Comment 4 Jason Tibbitts 2009-09-17 17:30:45 UTC
The submitter hasn't responded to any review of any of his tickets; I'm closing them.


Note You need to log in before you can comment on or make changes to this bug.